Name:           xfce4-hdaps-plugin
Version:        0.0.8
Release:        2%{?dist}
Summary:        A plugin to indicate the status of HDAPS

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://michael.orlitzky.com/code/xfce4-hdaps.php
Source0:        http://michael.orlitzky.com/code/releases/xfce4-hdaps-%{version}.tar.bz2
# needed for xfce4-panel >= 4.7.7
#Patch4:         xfce4-hdaps-plugin-0.5.1-xfce4-panel-4.7.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  xfce4-panel-devel, libxfcegui4-devel
BuildRequires:  libxml2-devel, xfce4-dev-tools
BuildRequires:  intltool
Requires:       xfce4-panel >= 4.4.0
Requires:	hdapsd

%description
A plugin to indicate the status of the IBM Hard Drive Active
Protection System, or HDAPS. Also used in Macbooks.

%prep
%setup -q -n xfce4-hdaps-%{version}
#%if 0%{?fedora} >= 15
#%patch4 -p1 -b .xfce4-panel-4.7
#%endif


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
#%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files 
#-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS ChangeLog README TODO
%{_libdir}/xfce4/panel/plugins/*.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Wed Apr 13 2012 josef radinger <cheese@nosuchhost.net>
- 0.0.8-2
- add Requirement on hdapsd

* Wed Apr 13 2012 josef radinger <cheese@nosuchhost.net>
- 0.0.8-1
- Initial RPM release.
